Ogre::GLContext Class Reference

Class that encapsulates an GL context. More...

`#include <OgreGLContext.h>`

Inheritance diagram for Ogre::GLContext:
[legend]

List of all members.

## Public Member Functions

| GLContext ()
virtual | ~GLContext ()
virtual void | setCurrent ()=0
| Enable the context.
virtual void | endCurrent ()=0
| This is called before another context is made current.
bool | getInitialized ()
void | setInitialized ()
virtual GLContext * | clone () const =0
| Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.
virtual void | releaseContext ()
| Release the render context.

## Protected Attributes

bool | initialized

## Detailed Description

Class that encapsulates an GL context.

(IE a window/pbuffer). This is a virtual base class which should be implemented in a GLSupport. This object can also be used to cache renderstate if we decide to do so in the future.

Definition at line 41 of file OgreGLContext.h.

## Constructor & Destructor Documentation

Ogre::GLContext::GLContext | ( |  | ) |

virtual Ogre::GLContext::~GLContext | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual GLContext* Ogre::GLContext::clone | ( |  | ) | const`[pure virtual]`

Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.

Note:
  The caller is responsible for deleting the returned context.

Implemented in Ogre::OSXContext, Ogre::OSXCarbonContext, Ogre::OSXCGLContext, Ogre::OSXCocoaContext, Ogre::GLXContext, and Ogre::Win32Context.

virtual void Ogre::GLContext::endCurrent | ( |  | ) | `[pure virtual]`

This is called before another context is made current.

By default, nothing is done here.

Implemented in Ogre::OSXContext, Ogre::OSXCarbonContext, Ogre::OSXCGLContext, Ogre::OSXCocoaContext, Ogre::GLXContext, and Ogre::Win32Context.

bool Ogre::GLContext::getInitialized | ( |  | ) |

Definition at line 57 of file OgreGLContext.h.

virtual void Ogre::GLContext::releaseContext | ( |  | ) | `[virtual]`

Release the render context.

Reimplemented in Ogre::Win32Context.

Definition at line 69 of file OgreGLContext.h.

virtual void Ogre::GLContext::setCurrent | ( |  | ) | `[pure virtual]`

Enable the context.

All subsequent rendering commands will go here.

Implemented in Ogre::OSXContext, Ogre::OSXCarbonContext, Ogre::GLXContext, Ogre::Win32Context, Ogre::OSXCGLContext, and Ogre::OSXCocoaContext.

void Ogre::GLContext::setInitialized | ( |  | ) |

Definition at line 58 of file OgreGLContext.h.

## Member Data Documentation

bool Ogre::GLContext::initialized`[protected]`

Definition at line 71 of file OgreGLContext.h.

The documentation for this class was generated from the following file:

- OgreGLContext.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:50